You are Here:
Linux Lite 4.8 Final is now available for download and installation



About LL update problems

Author (Read 3447 times)

0 Members and 1 Guest are viewing this topic.

About LL update problems
« on: August 29, 2018, 04:04:56 PM »
 

kpanic

  • PayPal Supporter
  • Forum Regular
  • *****
  • 162
    Posts
  • Country: fi
  • Reputation: 66
  • Linux Lite Member

  • Linux Lite: 4.0 64bit

  • CPU: Core i5 M450

  • MEMORY: 8Gb

  • VIDEO CARD: Nvidia GT216
Many LL users seem to have problems updating software.

Please check: Start -> Settings -> Lite Sources

Then from all the repositories, choose one which has "ANYCAST" in the region field.
Even if it has already been chosen, click it and then click "Use selected Repository".
Then let the program reconfigure itself and then press Quit.

I had a problem updating software and after doing this, the problem was gone.
Maybe the Lite Sources needed to be explicitly updated like this or maybe it was
just luck - I don't know, but I'd try it if you have update problems, after all, what harm
can it do if the update does not work anyway...

Let us know if it helped, thank you!
Last Edit: August 29, 2018, 05:30:59 PM by kpanic
 


Re: About LL update problems
« Reply #1 on: August 31, 2018, 02:40:16 AM »
 

colin

  • Occasional Poster
  • **
  • 66
    Posts
  • Country: wales
  • Reputation: 4
  • Linux Lite Member

  • Linux Lite: 4.2 64bit
Hi kpanic
I had a problem updating the OS but after following your instructions the problem seems to have gone? Now i get a message that my computer is upto date. Thanks mate!
Old and getting even older lol
 

Re: About LL update problems
« Reply #2 on: September 09, 2018, 03:25:07 PM »
 

kpanic

  • PayPal Supporter
  • Forum Regular
  • *****
  • 162
    Posts
  • Country: fi
  • Reputation: 66
  • Linux Lite Member

  • Linux Lite: 4.0 64bit

  • CPU: Core i5 M450

  • MEMORY: 8Gb

  • VIDEO CARD: Nvidia GT216
@colin ,

Glad to hear that!
Try this guys, if you haven't tried it yet...
 

Re: About LL update problems
« Reply #3 on: September 12, 2018, 02:01:13 PM »
 

PRafael

  • New to Forums
  • *
  • 5
    Posts
  • Country: br
  • Reputation: 2
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • MEMORY: 4Gb
Hello. I'm using LL 4.0 and I never had update problems. It woks like a charm to me.

Regards

Paulo
 

Re: About LL update problems
« Reply #4 on: September 13, 2018, 05:37:31 PM »
 

kpanic

  • PayPal Supporter
  • Forum Regular
  • *****
  • 162
    Posts
  • Country: fi
  • Reputation: 66
  • Linux Lite Member

  • Linux Lite: 4.0 64bit

  • CPU: Core i5 M450

  • MEMORY: 8Gb

  • VIDEO CARD: Nvidia GT216
Nice to hear that @PRafael
Last Edit: September 13, 2018, 05:39:26 PM by kpanic
 

Re: About LL update problems
« Reply #5 on: September 15, 2018, 10:55:17 AM »
 

Jay Havaldar

  • New to Forums
  • *
  • 4
    Posts
  • Country: 00
  • Reputation: 1

  • Linux Lite: 3.6 32bit
Hi, this did not work for me, I have posted the error log below. Any help would be appreciated. Thank you.
===========================
Install Updates Error log
===========================
Install Updates could not successfully download and install available updates.
Go to https://www.linuxliteos.com/forums/ and paste the log below into a new or existing thread for assistance.

============ Log ===========

Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
The following packages were automatically installed and are no longer required:
  fonts-dejavu fonts-sil-gentium fonts-sil-gentium-basic libabw-0.1-1v5
  libboost-serialization1.58.0 libcdr-0.1-1 libcmis-0.5-5v5 libe-book-0.1-1
  libeot0 libetonyek-0.1-1 libfreehand-0.1-1 libglew1.13 libllvm4.0 libllvm5.0
  libmspub-0.1-1 libmwaw-0.3-3 libodfgen-0.1-1 liborcus-0.10-0v5
  libpagemaker-0.0-0 libqmi-glib1 libqpdf17 libqt4-svg libreoffice-gtk
  libreoffice-pdfimport libreoffice-report-builder-bin librevenge-0.0-0
  librlog5v5 libvisio-0.1-1 libwpd-0.10-10 libwpg-0.3-3 libwps-0.4-4
  linux-headers-4.4.0-101 linux-headers-4.4.0-101-generic
  linux-headers-4.4.0-103 linux-headers-4.4.0-103-generic
  linux-headers-4.4.0-104 linux-headers-4.4.0-104-generic
  linux-headers-4.4.0-109 linux-headers-4.4.0-109-generic
  linux-headers-4.4.0-112 linux-headers-4.4.0-112-generic
  linux-headers-4.4.0-116 linux-headers-4.4.0-116-generic
  linux-headers-4.4.0-119 linux-headers-4.4.0-119-generic
  linux-headers-4.4.0-122 linux-headers-4.4.0-122-generic
  linux-headers-4.4.0-127 linux-headers-4.4.0-127-generic
  linux-headers-4.4.0-130 linux-headers-4.4.0-130-generic
  linux-headers-4.4.0-98 linux-headers-4.4.0-98-generic
  linux-image-4.4.0-101-generic linux-image-4.4.0-103-generic
  linux-image-4.4.0-104-generic linux-image-4.4.0-109-generic
  linux-image-4.4.0-112-generic linux-image-4.4.0-116-generic
  linux-image-4.4.0-119-generic linux-image-4.4.0-122-generic
  linux-image-4.4.0-127-generic linux-image-4.4.0-130-generic
  linux-image-4.4.0-98-generic linux-image-extra-4.4.0-101-generic
  linux-image-extra-4.4.0-103-generic linux-image-extra-4.4.0-104-generic
  linux-image-extra-4.4.0-109-generic linux-image-extra-4.4.0-112-generic
  linux-image-extra-4.4.0-116-generic linux-image-extra-4.4.0-119-generic
  linux-image-extra-4.4.0-122-generic linux-image-extra-4.4.0-127-generic
  linux-image-extra-4.4.0-130-generic linux-image-extra-4.4.0-98-generic
  wmctrl
Use 'sudo apt autoremove' to remove them.
The following NEW packages will be installed:
  libboost-locale1.58.0 libboost-thread1.58.0 libreoffice-gtk2
  linux-headers-4.4.0-136 linux-headers-4.4.0-136-generic
  linux-image-4.4.0-136-generic linux-image-extra-4.4.0-136-generic
The following packages will be upgraded:
  binutils debhelper dh-autoreconf firefox flashplugin-installer
  fonts-opensymbol libmpg123-0 libreoffice-avmedia-backend-gstreamer
  libreoffice-base libreoffice-base-core libreoffice-base-drivers
  libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw
  libreoffice-gnome libreoffice-gtk libreoffice-gtk3 libreoffice-impress
  libreoffice-java-common libreoffice-math libreoffice-pdfimport
  libreoffice-report-builder-bin libreoffice-sdbc-hsqldb
  libreoffice-style-elementary libreoffice-style-galaxy
  libreoffice-style-tango libreoffice-writer linux-generic
  linux-headers-generic linux-image-generic linux-libc-dev openssh-client
  python3-uno uno-libs3 ure
36 upgraded, 7 newly installed, 0 to remove and 0 not upgraded.
Need to get 214 MB of archives.
After this operation, 277 MB of additional disk space will be used.
E: You don't have enough free space in /var/cache/apt/archives/.
 

Re: About LL update problems
« Reply #6 on: September 15, 2018, 11:11:07 AM »
 

bitsnpcs

  • Platinum Level Poster
  • **********
  • 3185
    Posts
  • Country: 00
  • Reputation: 300

  • Linux Lite: 3.2 64bit
Hello Jay Havaldar,

Task #1

hold down the Ctrl key and the Alt key then press the t key (Ctrl, Alt t), to open your terminal.
Copy/paste, or type in to your terminal -

Code: [Select]
sudo apt autoremove
press enter.
type in your password when prompted, and press enter.

If asked in terminal for Y/n , type y and press enter.

once complete

Copy/paste, or type in to your terminal -

Code: [Select]
exit
to close your terminal


Task #2

Next click Menu>System>Lite Tweaks and tick the box named "package Cache" if this says it has any MB that can be removed.
Click begin.
type your password in the popup when requested and press enter.
After this completes click the quit button.

Task #3

Now re-run Menu>Favorites>Install Updates
Last Edit: September 15, 2018, 11:37:56 AM by bitsnpcs
 

Re: About LL update problems
« Reply #7 on: September 15, 2018, 11:47:14 AM »
 

Jay Havaldar

  • New to Forums
  • *
  • 4
    Posts
  • Country: 00
  • Reputation: 1

  • Linux Lite: 3.6 32bit
It worked, thank you very much!
 

Re: About LL update problems
« Reply #8 on: September 15, 2018, 11:50:27 AM »
 

bitsnpcs

  • Platinum Level Poster
  • **********
  • 3185
    Posts
  • Country: 00
  • Reputation: 300

  • Linux Lite: 3.2 64bit
 8) You are very welcome Jay Havaldar.
 Welcome to the Linux Lite Community :)
 


 


Linux Lite 4.8 Final is now available for download and installation